# README.rst

# Stock Picking Type Grn Mandatory

This module allows to require a GRN (Goods Receive Note) in some picking flows according to the configuration set on the corresponding Operation Type.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Configuration

1. Go to Inventory > Configuration > Warehouse Management > Operation Types
2. Select the one you want to require the GRN and check the ‘Is GRN Mandatory’ box.

## Usage

After having configured the Operation Type to activate the feature, create a Stock Picking and do the move operations, then, if you try to validate the picking without filling in the GRN, an error is raised.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- ACSONE SA/NV

### Contributors

- Denis Roussel <denis.roussel@acsone.eu>

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/stock-logistics-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.